Project Statuses
Manage project statuses. Ability to create, edit, view, and delete project statuses.
Available Endpoints
| Method |
Path |
Description |
| GET |
/api/project-statuses |
List project statuses |
| GET |
/api/project-statuses/{id} |
View status details |
| POST |
/api/project-statuses |
Create new status |
| PUT |
/api/project-statuses/{id} |
Full update of a status |
| PATCH |
/api/project-statuses/{id} |
Partial update of a status |
| DELETE |
/api/project-statuses/{id} |
Delete a status |
Example Request
curl -X GET "https://example.com/api/project-statuses" \
-H "Authorization: Bearer {token}"
Success Response (200)
{
"records": [],
"meta": {
"total": 0,
"current_page": 1,
"per_page": 20
}
}
Errors
| Code |
Description |
| 401 |
Invalid token |
| 403 |
Access denied |
| 404 |
Record not found |
| 422 |
Validation error |